ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Annotation::Impl Class Reference

Private implementation details of Annotation model object. More...

Collaboration diagram for ome::xml::model::Annotation::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | namespace_
| Namespace property.
std::string | id
| ID property.
ome::compat::shared_ptr< std::string > | annotator
| Annotator property.
ome::compat::shared_ptr< std::string > | description
| Description property.
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | imageLinks
| Image_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type | planeLinks
| Plane_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type | channelLinks
| Channel_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type | instrumentLinks
| Instrument_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type | lightSourceLinks
| LightSource_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type | projectLinks
| Project_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type | experimenterGroupLinks
| ExperimenterGroup_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | datasetLinks
| Dataset_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type | experimenterLinks
| Experimenter_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type | folderLinks
| Folder_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type | objectiveLinks
| Objective_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type | detectorLinks
| Detector_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type | filterLinks
| Filter_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type | dichroicLinks
| Dichroic_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type | lightPathLinks
| LightPath_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type | roiLinks
| ROI_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type | shapeLinks
| Shape_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type | plateLinks
| Plate_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type | reagentLinks
| Reagent_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type | screenLinks
| Screen_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type | plateAcquisitionLinks
| PlateAcquisition_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type | wellLinks
| Well_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Annotation model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Annotation.cpp